package com.example.switchyard.switchyard_example;

import javax.annotation.Resource;

import org.jgroups.blocks.locking.LockService;
import org.switchyard.component.bean.Service;

@Service(TestService.class)
public class TestServiceBean implements TestService {

    @Resource(lookup = "java:jboss/myapp/lock-service")
    private LockService lockService;

    static {
        try {
            Thread.sleep(Long.valueOf(System.getProperty("strange.delay", "0"))); // Application deployed if set to 3000
        } catch (InterruptedException e) {
        }
    }

    @Override
    public String test(String name) {
        System.out.println("Request from "+name);
        return "Response to "+name;
    }
}
